<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.1.29
Name: [1] Skierowanie na rehabilitację
Description: Szablon CDA dokumentu skierowania na rehabilitację
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000">
   <title>[1] Skierowanie na rehabilitację</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/" id="tmp-r-97dbc4e1-3acd-4d91-ba07-ff1f49fa77f0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4'])&gt;=1 and not(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']"
         id="tmp-r-ee45c6a0-2396-4c33-b926-c3e20e608c8d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(plCdaReferralForRehabilitation): Wartość dla @classCode MUSI wynosić 'DOCCLIN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralForRehabilitation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <let name="versionLabel" value="'1.3.2'"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:templateId[@root and @extension=$versionLabel])=1">(plCdaReferralForRehabilitation): Nie występuje prawidłowe oznaczenie zgodności dokumentu z daną wersją wydania Polskiej Implementacji Krajowej HL7 CDA.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="/processing-instruction('xml-stylesheet') = concat('href=&#34;CDA_PL_IG_',/hl7:ClinicalDocument/hl7:templateId[@extension]/@extension,'.xsl&#34; type=&#34;text/xsl&#34;')">(plCdaReferralForRehabilitation):  Nieprawidłowe wskazanie transformaty generującej warstwę prezentacyjną dokumentu.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:typeId[@root='2.16.840.1.113883.1.3'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:typeId[@root='2.16.840.1.113883.1.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.4'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.4']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.4'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.4'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaReferralForRehabilitation): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaReferralForRehabilitation): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaReferralForRehabilitation): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaReferralForRehabilitation): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaReferralForRehabilitation): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaReferralForRehabilitation): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:languageCode[@code='pl-PL'])&gt;=1 and not(hl7:languageCode[@code='pl-PL']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:languageCode[@code='pl-PL'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:languageCode[@code='pl-PL'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:languageCode[@code='pl-PL'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:setId jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:setId)&lt;=1">(plCdaReferralForRehabilitation): element hl7:setId występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:versionNumber jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(plCdaReferralForRehabilitation): element hl7:versionNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.26'])&gt;=1 and not(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.26']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.26'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.26'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.26'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.86'])&gt;=1 and not(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.86']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.86'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.86'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.86'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:dataEnterer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.90'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:dataEnterer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.90'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:informant)=0">(plCdaReferralForRehabilitation): element hl7:informant NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'])&gt;=1 and not(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&gt;=1 and not(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:authenticator)=0">(plCdaReferralForRehabilitation): element hl7:authenticator NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.19'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.19'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:documentationOf)=0">(plCdaReferralForRehabilitation): element hl7:documentationOf NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:relatedDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.21'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:relatedDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.21'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:authorization)=0">(plCdaReferralForRehabilitation): element hl7:authorization NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:componentOf)=0">(plCdaReferralForRehabilitation): element hl7:componentOf NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.91'])&gt;=1 and not(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.91']/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.91'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.91'])&lt;=1">(plCdaReferralForRehabilitation): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.91'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-16039dc0-b0a4-4b0a-942e-9c2f59b7289e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="string(@extension)='POCD_HD000040'">(plCdaReferralForRehabilitation): Wartość dla @extension MUSI wynosić 'POCD_HD000040'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(plCdaReferralForRehabilitation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.4']
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.4']"
         id="tmp-r-c15ede67-8625-405d-88ab-3737deff2497">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.1.4'">(plCdaReferralForRehabilitation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.1.4'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralForRehabilitation): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaReferralForRehabilitation): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:id
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:id"
         id="tmp-r-78dd642e-fef5-48fc-b251-fb57bea320ce">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="@root">(plCdaReferralForRehabilitation): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralForRehabilitation): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="@extension">(plCdaReferralForRehabilitation): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaReferralForRehabilitation): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-1eeb22d7-71fc-4625-9a47-6c06dabe0efe">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaReferralForRehabilitation): Wartość elementu MUSI wynosić TypSkierowaniaWgLoinc Kod LOINC typu skierowania (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaReferralForRehabilitation): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości TypSkierowaniaWgLoinc Kod LOINC typu skierowania (DYNAMICZNE)</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:translation[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:translation[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaReferralForRehabilitation): element hl7:translation[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="count(hl7:translation[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaReferralForRehabilitation): element hl7:translation[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:translation[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.33-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:translation[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-09990211-4c1e-415a-b336-b0b5cf2342a3">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaReferralForRehabilitation): Wartość elementu MUSI wynosić TypSkierowaniaWgP1 Typ skierowania wg klasyfikacji dokumentów P1 (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.24-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaReferralForRehabilitation): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości TypSkierowaniaWgP1 Typ skierowania wg klasyfikacji dokumentów P1 (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:title
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:title"
         id="tmp-r-430f2eb1-07da-4b11-880d-534ba8c6b115">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:effectiveTime
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:effectiveTime"
         id="tmp-r-5da36b79-e849-4eed-b2c0-8a0ccc79ccf1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaReferralForRehabilitation): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-613ea604-45db-4352-b891-f1dd56ee0b25">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaReferralForRehabilitation): Wartość elementu MUSI wynosić x_BasicConfidentialityKind (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaReferralForRehabilitation): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości x_BasicConfidentialityKind (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:languageCode[@code='pl-PL']
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:languageCode[@code='pl-PL']"
         id="tmp-r-9c169f48-b93b-4516-8b52-b779cc7b2457">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="@nullFlavor or (@code='pl-PL')">(plCdaReferralForRehabilitation): Wartość elementu MUSI wynosić code 'pl-PL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:setId
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:setId"
         id="tmp-r-6dfbe6b8-a927-44ac-a259-f7d86e9293bb">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="@root">(plCdaReferralForRehabilitation): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralForRehabilitation): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="@extension">(plCdaReferralForRehabilitation): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaReferralForRehabilitation): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:versionNumber
Item: (plCdaReferralForRehabilitation)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:versionNumber"
         id="tmp-r-aad2d7e6-39a1-4d88-80c8-86864703b83d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralForRehabilitation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.29-2020-06-08T000000.html"
              test="$digitok or @nullFlavor">(plCdaReferralForRehabilitation): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:informant
Item: (plCdaReferralForRehabilitation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:authenticator
Item: (plCdaReferralForRehabilitation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:documentationOf
Item: (plCdaReferralForRehabilitation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:authorization
Item: (plCdaReferralForRehabilitation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.29
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.4']/hl7:componentOf
Item: (plCdaReferralForRehabilitation)
-->
</pattern>
