<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    AD.PL.ORG - Address organizacji w Polsce
    Status: draft
-->
<rule xmlns="http://purl.oclc.org/dsdl/schematron"
      abstract="true"
      id="AD.PL.ORG">
    <extends rule="AD"/>
    <assert role="error"
           test="not(hl7:country) or (upper-case(hl7:country)='POLSKA')">Adres organizacji powinien znajdować się na terenie Polski.</assert>
    <report role="error"
           test="not(@nullFlavor) and ((not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:postalCode))">Dla polskiego adresu wymagane jest podanie kodu pocztowego.</report>
    <report role="error"
           test="not(@nullFlavor) and (not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:city)">Dla polskiego adresu wymagane jest podanie miasta.</report>
    <report role="error"
           test="not(@nullFlavor) and (not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:houseNumber)">Dla polskiego adresu wymagane jest podanie numeru domu.</report>
    <assert role="error"
           test="hl7:censusTract and hl7:censusTract[not(matches(text(),'^TERYT\s(TERC|SIMC):\s[0-9]{7}$'))]">Nieprawidłowy format zapisu numeru TERYT.</assert>
    <report role="error" test="@nullFlavor and count(./*) &gt; 1">Jeżeli adres jest nieznany, to nie może zawierać żadnych składników adresu.</report>        
</rule>
